utl::common_impl::__common_reference< T, U, meta::when< std::is_reference< T >::value &&std::is_reference< U >::value > > Struct Template Reference

`#include <stl.h>`

## Public Types

using | type = __common_ref< T, U >

## Detailed Description

### template<class T, class U>
struct utl::common_impl::__common_reference< T, U, meta::when< std::is_reference< T >::value &&std::is_reference< U >::value > >

Definition at line 263 of file stl.h.

## Member Typedef Documentation

## type

template<class T , class U >

using utl::common_impl::__common_reference< T, U, meta::when< std::is_reference< T >::value &&std::is_reference< U >::value > >::type = __common_ref<T, U>

Definition at line 265 of file stl.h.

The documentation for this struct was generated from the following file:

- include/utl/concepts/stl.h